sort_controllers.py File Reference

Go to the source code of this file.

## Namespaces

| sort_controllers

## Functions

def | sort_controllers.save_controller (line)
def | sort_controllers.write_controllers ()

## Variables

string | sort_controllers.filename = "SDL_gamecontrollerdb.h"
| sort_controllers.input = open(filename)
| sort_controllers.output = open(filename + ".new", "w")
bool | sort_controllers.parsing_controllers = False
list | sort_controllers.controllers = []
dictionary | sort_controllers.controller_guids = {}
| sort_controllers.split_pattern = re.compile(r'([^"]*")([^,]*,)([^,]*,)([^"]*)(".*)')